Package org.apache.sling.caconfig.resource.impl.util

# Class PathParentExpandIterator

java.lang.Object
org.apache.sling.caconfig.resource.impl.util.PathParentExpandIterator

All Implemented Interfaces:
  `Iterator<String>`

public class PathParentExpandIterator extends Object implements Iterator<String>
Expands all paths from the iterator with their parent paths up to the given root paths. The expanded path are added directly after each given path. Duplicates are not eliminated.

## Constructor Summary

Constructors
Constructor
Description
`PathParentExpandIterator(String rootPath, Iterator<String> paths)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`String`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### PathParentExpandIterator

public PathParentExpandIterator(String rootPath, Iterator<String> paths)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<String>`

### next

public String next()

Specified by:
  `next` in interface `Iterator<String>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<String>`